function tss = ABtest_one(model,allsymbol,allfilter, allfiltered)
% srcFolder : image input folder
% destFolder : destination folder

epsilon = model.epsilon;
C = corr(allfilter, epsilon);    % generate the inhibition maps
h = model.h;
sx = model.sx;
sy= model.sy;
T = model.T; 
Mi = model.Mi;
Mx = model.Mx;
My = model.My;
Mm = model.Mm;
Mm1 = model.Mm1;
Lrange = model.Lrange;
Orange = model.Orange;
sub = model.sub;
Totalsketch = model.Totalsketch;
Upperbound = model.Upperbound;
load 'nlf';
nimage = size(allfiltered,1);
norient = size(allfiltered,2);

% prepare the spaces for C code
Asym = cell(1, nimage);   % symbolic plot for each image with active Gabor
for i = 1 : nimage
    Asym{i} = zeros(size(allfiltered{1,1}));  
end
tss = zeros(nimage, 1);  % total scores for testing images

responseVec = zeros(nimage,length(Mi)); % feature responses (a 2D matrix)

% pass on the pointers to C for heavy computation
Ctesting(nimage, norient, allfiltered, C, h, sx, sy, T, Mi, Mx, My, Mm, Mm1,...
    allsymbol(1, :), Asym, Lrange, Orange, sub, Totalsketch, Upperbound,...
    tss, responseVec, M, lam, e, lz);


% save sketches into image files, and save results to .mat file
% if ~doNotSave
%     for i = 1 : nimage
%         towrite = -(Asym{i});
%         towrite = uint8(255 * (towrite-min(towrite(:)))/(max(towrite(:))-min(towrite(:))));
%         imwrite(towrite,[destFolder '\sym_' Iname(i).name],'jpg');
%     end
%     save([destFolder '\testResult.mat'],'tss','responseVec','Asym','allfiltered');
% end

